<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<div id="<@=name@>" class="row-fluid field" data-type="key-value">
        <div class="row-fluid">
            <div class="span8"><@= _.escape(label)+" : "@></div>
            <div class="span4">
                <@ if ( mode == 'builder') { @>
                <button id="optionsPlusButton" class="btn btn-link" type="button">
                    <i class="icon-plus-sign"></i>
                </button>
                <@}@>
            </div>
        </div>
        <div class="row-fluid">
            <div class="span4"><span class="text-center"><fmt:message key="fcnt_createEntry.label.key"/></span></div>
            <div class="span5"><span class="text-center"><fmt:message key="fcnt_createEntry.label.value"/></span></div>
            <div class="span3"><span class="text-center"><fmt:message key="fcnt_createEntry.label.checked"/></span></div>
        </div>
    <div class="optionRows row-fluid">
        <@var length = value.length;@>
        <@ _.each(value,function(option, index){@>
        <div id="row-<@=index@>" class="optionRow row-fluid">
            <div class="span4">
                <input id="key-<@=index@>" class="input-small keyField" type="text" value="<@= _.escape(option.key) @>" name="key-<@=index@>" <@ if ( mode == 'translate') { @> readonly <@}@>/>
            </div>
            <div class="span5">
                <input id="value-<@=index@>" class="input-small" type="text" value="<@= _.escape(option.value) @>" name="value-<@=index@>" />
            </div>
            <div class="span3">
                <input id="checked-<@=index@>" class="input-small" type="checkbox" name="checked-<@=index@>" <@ if (option.checked) { @>checked="checked"<@}@>/>
                <@ if ( mode == 'builder') { @>
                <button class="removeButton btn btn-mini btn-link" type="button" onclick="$('#row-<@=index@>').remove()">
                    <i class="icon-minus-sign"></i>
                </button>
                <@}@>
            </div>
        </div>
        <@});@>
    </div>
    <div class="hide text-error" id="error_keyValue"></div>
</div>