<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<form class='form'>
    <@ if (_.size(validations) != 0 && _.size(items) != 0) { @>
    <ul class="nav nav-pills">
        <li class="active"><a href="#structure" data-toggle="pill"><fmt:message key="fcnt_createEntry.label.structure"/></a></li>
        <li><a href="#validation" data-toggle="pill"><fmt:message key="fcnt_createEntry.label.validation"/></a></li>
    </ul>
    <@ } @>
    
    <div class="tab-content">
    <@ if (_.size(items) != 0) { @>
        <div class="tab-pane active" id="structure">
            <@ var sortedItems = _.sortBy(items, function(v,k) { var label = v["label"]; v["name"] = k;  if(k == "id") { return ("aaaaaaa" + _.escape(label.toLocaleLowerCase())); } else { return  _.escape(label.toLocaleLowerCase()); }}); @>
            <@ var compiled = _.reduce(sortedItems, function(str, v, k) { @>
            <@ return str + popoverTemplates[v["type"]](_.extend(v,{mode:mode})); @>
            <@ }, "") @>
            <@= compiled @>
        </div>
    <@ } @>
    <@ if (_.size(validations) != 0) { @>
        <div class="tab-pane" id="validation">
            <div class="accordion" id="accordionValidations">
                <@ var val = validations; @>
                <@ _.each(val, function(v, k){ var addId = { "idName":k }; _.extend(val[k], addId); }); @>
                <@ val = _.sortBy(val, function(v){ if (v.fields.ordernumber.value == 999) { return v.title.toLocaleLowerCase(); } else { return v.fields.ordernumber.value; } }); @>
                <@ for (var id in val) { @>
                <div class="accordion-group" id="accordionValidations_<@-val[id].idName@>" data-order="<@-val[id].fields.ordernumber.value@>" data-idacc="<@-val[id].idName@>">
                    <div class="accordion-heading">
                        <div class="accordion-toggle">
                        <span class="pull-left">
                            <i class="order-arrow icon-arrow-down" data-idacc="<@-val[id].idName@>"/>
                            <i class="order-arrow icon-arrow-up" data-idacc="<@-val[id].idName@>"/>
                        </span>
                        <a data-toggle="collapse" data-parent="#accordionValidations"
                           href="#collapse_<@= val[id].idName @>">
                            <@= _.escape(val[id]["title"]) @>
                            <i class="icon-ok pull-right"></i>
                        </a>
                        </div>
                    </div>
                    <div id="collapse_<@= val[id].idName @>" class="accordion-body collapse">
                        <div class="accordion-inner">
                            <@ for (field in val[id]["fields"]) { @>
                            <@ val[id]["fields"][field]["name"] = val[id].idName + "_" + field; @>
                            <@ var type = val[id]["fields"][field]["type"]; @>
                            <@= popoverTemplates[type](val[id]["fields"][field]) @>
                            <@ } @>
                        </div>
                    </div>
                </div>
                <@ } @>
            </div>
        </div>
    <@ } @>
    </div>
    <hr/>
    <button id="save" class='btn btn-info'><fmt:message key="label.save"/></button>
    <button id="cancel" class='btn btn-danger'><fmt:message key="label.cancel"/></button>
</form>