define([
    "jquery", "underscore", "backbone",
    "collections/snippets-translate", "collections/my-form-snippets-translate", "views/my-form-translate"
], function(
    $, _, Backbone, SnippetsCollection, MyFormSnippetsCollection, MyFormView
    ) {
    return {
        initialize: function() {
            // merge all templates
            _.extend(_snippetTemplates, _actionTemplates);

            // Bootstrap "My Form" with 'Form Name' snippet.
            formView = new MyFormView({
                title: "Original",
                collection: new MyFormSnippetsCollection(stepsTable[currentStep].stepContent)
            });
        }
    }
});