define([
    "jquery" , "underscore" , "backbone"
    , "models/snippet"
    , "collections/snippets-translate"
    , "views/popover-translate"
], function(
    $, _, Backbone
    , SnippetModel
    , SnippetsCollection
    , PopoverView
    ){
    return SnippetsCollection.extend({
        model: SnippetModel,
        renderAll: function(){
            return this.map(function(snippet){
                return new PopoverView({model: snippet}).render(true);
            })
        },
        renderAllClean: function(){
            return this.map(function(snippet){
                return new PopoverView({model: snippet}).render(false);
            });
        },
        cleanView: function(){
            $("#formFactoryTarget").find("fieldset").html("");
        }
    });
});
