define('jquery', [], function () { return window.jQuery; });
define('bootstrappopover', ['jquery'], function ($) { return $.fn.popopver; });
define('underscore', [], function (_) { return window._; });
require.config({
    baseUrl: baseUrlModule + "/javascript/lib/",
    shim: {
        'backbone': {
            deps: ['underscore', 'jquery'],
            exports: 'Backbone'
        },
        'underscore': {
            exports: '_'
        }
    }, paths: {
        app: "..",
        collections: "../collections",
        models: "../models",
        helper: "../helper",
        templates: baseUrlModule + "/templates",
        snippet: "../snippet",
        views: "../views"
    }
});

require([ 'app/app-translate'], function (app) {
    app.initialize();
});
