define([
    "jquery", "underscore", "backbone"
], function ($, _, Backbone) {
    return Backbone.View.extend({
        tagName: "fieldset",
        initialize: function () {
            this.collection.on("add", this.render, this);
            this.collection.on("change", this.render, this);
            this.$formFactoryBuild = $("#formFactoryBuild");
            this.render();
        }, render: function () {
            //Render Snippet Views
            this.$el.empty();
            var that = this;
            _.each(this.collection.renderAll(), function (snippet) {
                that.$el.append(snippet);
            });
            this.$el.appendTo("#formFactoryBuild form");
            this.delegateEvents();
        }
    })
});
