define([
    "jquery", "underscore", "backbone", "bootstrappopover"
], function ($, _, Backbone) {
    return Backbone.View.extend({
        tagName: "div",
        className: "formFactoryComponent",
        initialize: function () {
            this.template = _.template(_snippetTemplates[this.model.idNodeType()])
        },
        render: function (withAttributes) {
            var that = this;
            var values = that.model.getValues();
            values["validations"] = that.model.getValidations();
            return this.$el.html(
                that.template(values)
            )
        }
    });
});